Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156213 - x86_64 gnupg2 FC4 build fails
Summary: x86_64 gnupg2 FC4 build fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg2
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-28 13:06 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 13:42:10 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2005-04-28 13:06:45 UTC
This package failed to rebuild for FC4 Development around 2005-04-11 after an
automated release bump.

Architectures: ppc

Build failure logs at: http://fedoraproject.org/extras/development/build-logs/

Comment 1 David Woodhouse 2005-05-08 09:34:49 UTC
It built fine on PPC for me. Interestingly, when I bumped the release number and
resubmitted it, it failed on x86_64 in the same place...

make[2]: Entering directory `/usr/src/rpm/BUILD/gnupg-1.9.15/tests'
asschk: read_assuan: received incomplete line on fd 8
FAIL: sm-sign+verify
PASS: sm-verify
======================================
1 of 2 tests failed
Please report to gnupg-devel@gnupg.org
======================================

Comment 2 Ville Skyttä 2005-05-08 18:03:17 UTC
FYI, 1.9.16 is out.

Comment 3 Michael Schwendt 2005-05-08 19:59:53 UTC
This is the reason for above error message:

: sending `VERIFY'
: expecting OK
: 
: gpgsm: some signal caught ... exiting


Comment 4 Michael Schwendt 2005-05-10 10:48:18 UTC
Any objections that I upgrade to 1.9.16 and make the code try to print the
signal name? (could be SIGSEGV)


Comment 5 Rex Dieter 2005-05-10 11:45:44 UTC
Knock yourself out.  You can use
http;//apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/gnupg-1.9.16-1.src.rpm
as a starting point.

Comment 6 Rex Dieter 2005-05-10 11:46:59 UTC
Ack.  URL that actually works:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/gnupg2-1.9.16-1.src.rpm

Comment 7 Michael Schwendt 2005-05-11 07:26:45 UTC
* ppc build succeeded
* i386 and x86_64 timed out in the build system with no log :(

Comment 8 Michael Schwendt 2005-05-11 13:42:10 UTC
> Build of gnupg2 on development succeeded.

1.9.16-2 made it, apparently. I suggest we leave the strsignal patch in there to
benefit from its output in case we run into a build failure again.



Note You need to log in before you can comment on or make changes to this bug.